create_2
POST
/v1/payment-links
const url = 'https://api.lydiagate.com/v1/payment-links';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"amount":1,"terminalId":"example","customerCommissionShareBps":1,"description":"example","redirectUrl":"example","allowedInstallmentCounts":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.lydiagate.com/v1/payment-links \ --header 'Content-Type: application/json' \ --data '{ "amount": 1, "terminalId": "example", "customerCommissionShareBps": 1, "description": "example", "redirectUrl": "example", "allowedInstallmentCounts": [ 1 ] }'Request Bodyrequired
Bölüm başlığı “Request Bodyrequired”Media typeapplication/json
object
amount
integer format: int64
terminalId
required
string
customerCommissionShareBps
integer | null format: int32
description
string | null
redirectUrl
string | null
allowedInstallmentCounts
Array<integer> | null
Examplegenerated
{ "amount": 1, "terminalId": "example", "customerCommissionShareBps": 1, "description": "example", "redirectUrl": "example", "allowedInstallmentCounts": [ 1 ]}Responses
Bölüm başlığı “Responses”Created
Media type*/*
object
id
string
token
string
url
string
partnerReference
integer format: int64
status
string
amount
integer format: int64
customerCommissionShareBps
integer format: int32
description
string | null
redirectUrl
string | null
firstOpenedAt
string | null format: date-time
lastOpenedAt
string | null format: date-time
expiresAt
string format: date-time
createdAt
string format: date-time
updatedAt
string format: date-time
allowedInstallmentCounts
Array<integer> | null